diff --git a/changelog b/changelog
index 16f18c3..5a1bcf0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090928 tpd src/axiom-website/patches.html 20090928.02.tpd.patch
+20090928 tpd src/interp/pathname.lisp cleanup
 20090928 tpd src/axiom-website/patches.html 20090928.01.tpd.patch
 20090928 tpd src/interp/record.lisp cleanup
 20090927 tpd src/axiom-website/patches.html 20090927.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index faaa72f..f738e79 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2057,5 +2057,7 @@ src/interp/server.lisp cleanup<br/>
 src/interp/rulesets.lisp cleanup<br/>
 <a href="patches/20090928.01.tpd.patch">20090928.01.tpd.patch</a>
 src/interp/record.lisp cleanup<br/>
+<a href="patches/20090928.02.tpd.patch">20090928.02.tpd.patch</a>
+src/interp/pathname.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/pathname.lisp.pamphlet b/src/interp/pathname.lisp.pamphlet
index 8721723..909ec21 100644
--- a/src/interp/pathname.lisp.pamphlet
+++ b/src/interp/pathname.lisp.pamphlet
@@ -69,7 +69,9 @@
 
 ;deleteFile f == _$ERASE pathname f
 
-(DEFUN |deleteFile| (|f|) ($ERASE (|pathname| |f|)))
+(DEFUN |deleteFile| (|f|) 
+ (declare (special $ERASE))
+ ($ERASE (|pathname| |f|)))
 
 ;isExistingFile f ==
 ;--  p := pathname f
@@ -91,6 +93,7 @@
 ;  pathname [object2String name,object2String type]
 
 (DEFUN |makePathname| (|name| |type| |dir|)
+  (declare (ignore |dir|))
   (|pathname|
       (CONS (|object2String| |name|)
             (CONS (|object2String| |type|) NIL))))
@@ -123,6 +126,7 @@
 ;isSystemDirectory dir == EVERY(function CHAR_=,$SPADROOT,dir)
 
 (DEFUN |isSystemDirectory| (|dir|)
+  (declare (special $SPADROOT))
   (EVERY (|function| CHAR=) $SPADROOT |dir|))
 
 ;-- the next function is an improved version of the one in DEBUG LISP
@@ -157,6 +161,7 @@
 
 (DEFUN |newMKINFILENAM| (|infile|)
   (PROG (|fn| |nfile| |ans| |n| |nfn| |file|)
+  (declare (special |$sourceFileTypes| $FINDFILE))
     (RETURN
       (SEQ (COND
              ((NULL |infile|) NIL)
@@ -232,6 +237,7 @@
 
 (DEFUN |getFunctionSourceFile1| (|fun|)
   (PROG (|file| |fileinfo| |u| |ft| |fn|)
+  (declare (special $FUNCTION))
     (RETURN
       (COND
         ((SPADLET |file| (KDR (GETL |fun| 'DEFLOC)))
@@ -260,6 +266,7 @@
 ;;;     ***       |updateSourceFiles| REDEFINED
 
 (DEFUN |updateSourceFiles| (|p|)
+  (declare (special |$sourceFiles|))
   (PROGN
     (SPADLET |p| (|pathname| |p|))
     (SPADLET |p|
